import styled from 'styled-components';

import { HiroColors } from '../../types';
import { clickable, primary, secondary } from '../../utils';
import defaultTheme from '../../theme';

interface StyledButtonProps {
  color?: HiroColors;
  secondary?: boolean;
  disabled?: boolean;
}

export type ButtonProps = StyledButtonProps;

export const Button = styled.button<StyledButtonProps>(
  {
    minWidth: '100px',
    height: '35px',
    borderRadius: '3em',
    opacity: 1,
    outline: 'none',
    padding: '0 2em',
  },
  (props) => (props.secondary ? secondary : primary),
  clickable,
);

Button.defaultProps = {
  theme: defaultTheme,
};
