import React from 'react';

import { storiesOf } from '@storybook/react';

import {
  Menu,
  MenuItem,
  Box,
  Container,
  Header,
  Text,
  Footer,
  GlobalStyle,
} from '../src';

import HiroLogo from './hiro-logo.svg';
import Maintenance from './maintenance.svg';

storiesOf('Page', module).add('Full', () => (
  <>
    <GlobalStyle />
    <Menu>
      <MenuItem>
        <img src={HiroLogo} width={35} height={35} alt="HIRO Login" />
      </MenuItem>
      <MenuItem>HIRO Status</MenuItem>
    </Menu>
    <Container>
      <Box type="row" verticalAlign="center">
        <Box size={0.4} padded>
          <img src={Maintenance} width="100%" alt="Undergoing Maintenance" />
        </Box>
        <Box size={0.6} padded>
          <Header>Undergoing Maintenance</Header>
          <Text>
            We are currently updating the HIRO Platform. This page should
            automatically refresh when the update is complete. You are seeing
            this page because the HIRO Platform is undergoing some essential
            maintenance. We apologise for any inconvenience caused by this
            downtime.
          </Text>
        </Box>
      </Box>
    </Container>
    <Footer centered padded>
      <a href="https://www.arago.co/" target="_blank" rel="noopener noreferrer">
        arago GmbH ©2019
      </a>
      &nbsp;{'·'}&nbsp;
      <a
        href="https://www.arago.co/terms-of-use"
        target="_blank"
        rel="noopener noreferrer"
      >
        Terms of Use
      </a>
      &nbsp;{'·'}&nbsp;
      <a
        href="https://www.arago.co/privacy-policy"
        target="_blank"
        rel="noopener noreferrer"
      >
        Privacy Policy
      </a>
      &nbsp;{'·'}&nbsp;
      <a
        href="https://www.arago.co/impressum"
        target="_blank"
        rel="noopener noreferrer"
      >
        Impressum
      </a>
    </Footer>
  </>
));
